#include<iostream>
using namespace std;
const int N=2e4+10;
int main()
{
    ios_base::sync_with_stdio();cin.tie(0);
    int n,k,a[N];
    cin>>n>>k;

    for(int i=0;i<n;i++) cin>>a[i];
    if(k==a[n-1]) cout<<a[0];
    else for(int i=0;i<n;i++) if(k==a[i]) cout<<a[i+1];

    return 0;
}